petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCGetFailedReason

Gets the reason a PCSetUp() failed or 0 if it did not fail

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCGetFailedReason(PC pc,PCFailedReason *reason)

Logically Collective on PC

### Input Parameter

pc -the preconditioner context

### Output Parameter

reason -the reason it failed, currently only -1

### See Also

PCCreate(), PCApply(), PCDestroy()

### Level

advanced

### Location

src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages